﻿// THIS CODE HAS BEEN GENERATED BY THE XamlGenerator TOOL AND WILL BE OVERWRITTEN. DO NOT CHANGE OR REMOVE !
#region AUTOGENERATED CODE

using TimeLine.Framework;

namespace WVG_CustomStamm
{
	/// <summary>
    /// The wndKonditionenCustom xWindowhandlingObject
    /// </summary>
    public partial class wndKonditionenCustom
    {
		#region Properties



		#endregion

        #region Controls

		/// <summary>
		/// Gets the tMain TimeLine.Client.Controls.xTabControl
		/// </summary>
		private global::TimeLine.Client.Controls.xTabControl tMain { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xTabControl>("tMain"); } }

		/// <summary>
		/// Gets the tabKonditionenPers System.Windows.Controls.TabItem
		/// </summary>
		private global::System.Windows.Controls.TabItem tabKonditionenPers { get { return GetControlByNameAndTyp<global::System.Windows.Controls.TabItem>("tabKonditionenPers"); } }

		/// <summary>
		/// Gets the dpZuordnungPers TimeLine.Client.Controls.xDataPanel
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel dpZuordnungPers { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel>("dpZuordnungPers"); } }

		/// <summary>
		/// Gets the rbgZuordTypPers TimeLine.Client.Controls.xDataPanelRadioButtonGroupItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelRadioButtonGroupItem rbgZuordTypPers { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelRadioButtonGroupItem>("rbgZuordTypPers"); } }

		/// <summary>
		/// Gets the dpEmpty TimeLine.Client.Controls.xDataPanel
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel dpEmpty { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel>("dpEmpty"); } }

		/// <summary>
		/// Gets the dpPers TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_persTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_persRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_persTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_persRow> dpPers { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_persTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_persRow>>("dpPers"); } }

		/// <summary>
		/// Gets the perswaehrgkz TimeLine.Client.Controls.xDataPanelLookupItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelLookupItem perswaehrgkz { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelLookupItem>("perswaehrgkz"); } }

		/// <summary>
		/// Gets the dgConditions TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow> dgConditions { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>>("dgConditions"); } }

		/// <summary>
		/// Gets the txtConditionsArtArtnrColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn txtConditionsArtArtnrColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn>("txtConditionsArtArtnrColumn"); } }

		/// <summary>
		/// Gets the txtConditionsCfArtsuchwortColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtConditionsCfArtsuchwortColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtConditionsCfArtsuchwortColumn"); } }

		/// <summary>
		/// Gets the txtConditionsPersartnrColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtConditionsPersartnrColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtConditionsPersartnrColumn"); } }

		/// <summary>
		/// Gets the txtConditionsPreiseArbeitsgangColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtConditionsPreiseArbeitsgangColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtConditionsPreiseArbeitsgangColumn"); } }

		/// <summary>
		/// Gets the txtConditionsMeBezColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtConditionsMeBezColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtConditionsMeBezColumn"); } }

		/// <summary>
		/// Gets the txtConditionsPreisePreisColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtConditionsPreisePreisColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtConditionsPreisePreisColumn"); } }

		/// <summary>
		/// Gets the txtConditionsPreiseRabattColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtConditionsPreiseRabattColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtConditionsPreiseRabattColumn"); } }

		/// <summary>
		/// Gets the txtConditionsPreiseGueltigAbColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtConditionsPreiseGueltigAbColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtConditionsPreiseGueltigAbColumn"); } }

		/// <summary>
		/// Gets the txtConditionsPreiseDatumColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtConditionsPreiseDatumColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtConditionsPreiseDatumColumn"); } }

		/// <summary>
		/// Gets the txtConditionsWiederbeschzeitColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtConditionsWiederbeschzeitColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtConditionsWiederbeschzeitColumn"); } }

		/// <summary>
		/// Gets the txtConditionsMindestbestellmengeEkColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtConditionsMindestbestellmengeEkColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtConditionsMindestbestellmengeEkColumn"); } }

		/// <summary>
		/// Gets the dpConditionsArtikel TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow> dpConditionsArtikel { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>>("dpConditionsArtikel"); } }

		/// <summary>
		/// Gets the txtConditionsArtnr TimeLine.Client.Controls.xDataPanelTextBoxSearchItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem txtConditionsArtnr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem>("txtConditionsArtnr"); } }

		/// <summary>
		/// Gets the txtConditionsCfArtsuchwort TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtConditionsCfArtsuchwort { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtConditionsCfArtsuchwort"); } }

		/// <summary>
		/// Gets the txtConditionsCfStammpe TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtConditionsCfStammpe { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtConditionsCfStammpe"); } }

		/// <summary>
		/// Gets the txtConditionsArbgKatNr TimeLine.Client.Controls.xDataPanelTextBoxSearchItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem txtConditionsArbgKatNr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem>("txtConditionsArbgKatNr"); } }

		/// <summary>
		/// Gets the txtConditionsArbgkatSuchwort TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtConditionsArbgkatSuchwort { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtConditionsArbgkatSuchwort"); } }

		/// <summary>
		/// Gets the dpConditionsArtikelBez TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow> dpConditionsArtikelBez { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>>("dpConditionsArtikelBez"); } }

		/// <summary>
		/// Gets the txtConditionsPersartnr TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtConditionsPersartnr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtConditionsPersartnr"); } }

		/// <summary>
		/// Gets the txtConditionsWiederbeschzeit TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtConditionsWiederbeschzeit { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtConditionsWiederbeschzeit"); } }

		/// <summary>
		/// Gets the txtConditionsMindestbestellmenge TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtConditionsMindestbestellmenge { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtConditionsMindestbestellmenge"); } }

		/// <summary>
		/// Gets the txtConditionsZeichNr TimeLine.Client.Controls.xDataPanelTextBoxSearchItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem txtConditionsZeichNr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem>("txtConditionsZeichNr"); } }

		/// <summary>
		/// Gets the lgConditionsCfStammmenr TimeLine.Client.Controls.xDataPanelLookupItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelLookupItem lgConditionsCfStammmenr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelLookupItem>("lgConditionsCfStammmenr"); } }

		/// <summary>
		/// Gets the conditionsalutec_freigabe_am TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem conditionsalutec_freigabe_am { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("conditionsalutec_freigabe_am"); } }

		/// <summary>
		/// Gets the conditionsalutec_gesperrt_jn TimeLine.Client.Controls.xDataPanelCheckBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelCheckBoxItem conditionsalutec_gesperrt_jn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelCheckBoxItem>("conditionsalutec_gesperrt_jn"); } }

		/// <summary>
		/// Gets the conditionsalutec_gesperrt_am TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem conditionsalutec_gesperrt_am { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("conditionsalutec_gesperrt_am"); } }

		/// <summary>
		/// Gets the dpConditionsArtikelKommentar TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow> dpConditionsArtikelKommentar { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>>("dpConditionsArtikelKommentar"); } }

		/// <summary>
		/// Gets the txtConditionsKommentar TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtConditionsKommentar { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtConditionsKommentar"); } }

		/// <summary>
		/// Gets the dpConditionsActualPrices TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow> dpConditionsActualPrices { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow>>("dpConditionsActualPrices"); } }

		/// <summary>
		/// Gets the gcConditionsPreis TimeLine.Client.Controls.xGroupControl
		/// </summary>
		private global::TimeLine.Client.Controls.xGroupControl gcConditionsPreis { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xGroupControl>("gcConditionsPreis"); } }

		/// <summary>
		/// Gets the txtPricesPreisAbw TimeLine.Client.Controls.xTextBox
		/// </summary>
		private global::TimeLine.Client.Controls.xTextBox txtPricesPreisAbw { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xTextBox>("txtPricesPreisAbw"); } }

		/// <summary>
		/// Gets the txtPricesPreis TimeLine.Client.Controls.xTextBox
		/// </summary>
		private global::TimeLine.Client.Controls.xTextBox txtPricesPreis { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xTextBox>("txtPricesPreis"); } }

		/// <summary>
		/// Gets the lgPricesMeNr TimeLine.Client.Controls.xLookupGrid
		/// </summary>
		private global::TimeLine.Client.Controls.xLookupGrid lgPricesMeNr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xLookupGrid>("lgPricesMeNr"); } }

		/// <summary>
		/// Gets the txtPricesGueltigab TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPricesGueltigab { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPricesGueltigab"); } }

		/// <summary>
		/// Gets the gcPriceRabatt TimeLine.Client.Controls.xGroupControl
		/// </summary>
		private global::TimeLine.Client.Controls.xGroupControl gcPriceRabatt { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xGroupControl>("gcPriceRabatt"); } }

		/// <summary>
		/// Gets the tbPriceZuabschlagpro TimeLine.Client.Controls.xTextBox
		/// </summary>
		private global::TimeLine.Client.Controls.xTextBox tbPriceZuabschlagpro { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xTextBox>("tbPriceZuabschlagpro"); } }

		/// <summary>
		/// Gets the ckPriceRabattTyp TimeLine.Client.Controls.xCheckBox
		/// </summary>
		private global::TimeLine.Client.Controls.xCheckBox ckPriceRabattTyp { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xCheckBox>("ckPriceRabattTyp"); } }

		/// <summary>
		/// Gets the pricesdatum1 TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem pricesdatum1 { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("pricesdatum1"); } }

		/// <summary>
		/// Gets the dpConditionsActualPricesBemerkung TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow> dpConditionsActualPricesBemerkung { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow>>("dpConditionsActualPricesBemerkung"); } }

		/// <summary>
		/// Gets the txtPersPricesLtext TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPersPricesLtext { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPersPricesLtext"); } }

		/// <summary>
		/// Gets the dgConditionsVolumeDiscount TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountRow>
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountRow> dgConditionsVolumeDiscount { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountRow>>("dgConditionsVolumeDiscount"); } }

		/// <summary>
		/// Gets the txtVolumeDiscountAbMengeColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtVolumeDiscountAbMengeColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtVolumeDiscountAbMengeColumn"); } }

		/// <summary>
		/// Gets the txtVolumeDiscountPreisColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtVolumeDiscountPreisColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtVolumeDiscountPreisColumn"); } }

		/// <summary>
		/// Gets the txtVolumeDiscountPreisMeColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtVolumeDiscountPreisMeColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtVolumeDiscountPreisMeColumn"); } }

		/// <summary>
		/// Gets the txtVolumeDiscountMeColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtVolumeDiscountMeColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtVolumeDiscountMeColumn"); } }

		/// <summary>
		/// Gets the txtVolumeDiscountRabattColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtVolumeDiscountRabattColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtVolumeDiscountRabattColumn"); } }

		/// <summary>
		/// Gets the tabPreisEntwicklung TimeLine.Client.Controls.DX.Docking.xDockTabItem
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Docking.xDockTabItem tabPreisEntwicklung { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Docking.xDockTabItem>("tabPreisEntwicklung"); } }

		/// <summary>
		/// Gets the dgConditionsHistory TimeLine.Client.Controls.DX.Grid.DxDataGrid
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid dgConditionsHistory { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid>("dgConditionsHistory"); } }

		/// <summary>
		/// Gets the txtPricesPreisColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPricesPreisColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPricesPreisColumn"); } }

		/// <summary>
		/// Gets the txtPricesPreisMeColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPricesPreisMeColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPricesPreisMeColumn"); } }

		/// <summary>
		/// Gets the txtPricesRabattColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPricesRabattColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPricesRabattColumn"); } }

		/// <summary>
		/// Gets the txtPricesGueltigAbColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPricesGueltigAbColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPricesGueltigAbColumn"); } }

		/// <summary>
		/// Gets the btnConditionsCopyPrice TimeLine.Client.Controls.xButton
		/// </summary>
		private global::TimeLine.Client.Controls.xButton btnConditionsCopyPrice { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xButton>("btnConditionsCopyPrice"); } }

		/// <summary>
		/// Gets the dgConditionsZslPersart TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartRow>
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartRow> dgConditionsZslPersart { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartRow>>("dgConditionsZslPersart"); } }

		/// <summary>
		/// Gets the goToZslStamm TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn goToZslStamm { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("goToZslStamm"); } }

		/// <summary>
		/// Gets the txtZslPersartZslidColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn txtZslPersartZslidColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn>("txtZslPersartZslidColumn"); } }

		/// <summary>
		/// Gets the txtZslPersartBez1Column TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtZslPersartBez1Column { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtZslPersartBez1Column"); } }

		/// <summary>
		/// Gets the txtZslPersartBez2Column TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtZslPersartBez2Column { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtZslPersartBez2Column"); } }

		/// <summary>
		/// Gets the txtZslPersartWertColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtZslPersartWertColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtZslPersartWertColumn"); } }

		/// <summary>
		/// Gets the cbZslPersartBerechArtColumn TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn cbZslPersartBerechArtColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn>("cbZslPersartBerechArtColumn"); } }

		/// <summary>
		/// Gets the txtZslPersartGueltigAbColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtZslPersartGueltigAbColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtZslPersartGueltigAbColumn"); } }

		/// <summary>
		/// Gets the txtZslPersartGueltigBisColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtZslPersartGueltigBisColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtZslPersartGueltigBisColumn"); } }

		/// <summary>
		/// Gets the cbZslPersartStaffelZslColumn TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn cbZslPersartStaffelZslColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn>("cbZslPersartStaffelZslColumn"); } }

		/// <summary>
		/// Gets the cbZslPersartOptionalColumn TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn cbZslPersartOptionalColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn>("cbZslPersartOptionalColumn"); } }

		/// <summary>
		/// Gets the txtZslPersartGewichtColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtZslPersartGewichtColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtZslPersartGewichtColumn"); } }

		/// <summary>
		/// Gets the goToMTZ TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn goToMTZ { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("goToMTZ"); } }

		/// <summary>
		/// Gets the txtZslPersartMtzNrColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn txtZslPersartMtzNrColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn>("txtZslPersartMtzNrColumn"); } }

		/// <summary>
		/// Gets the tabKonditionenArt System.Windows.Controls.TabItem
		/// </summary>
		private global::System.Windows.Controls.TabItem tabKonditionenArt { get { return GetControlByNameAndTyp<global::System.Windows.Controls.TabItem>("tabKonditionenArt"); } }

		/// <summary>
		/// Gets the dpZuordnung TimeLine.Client.Controls.xDataPanel
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel dpZuordnung { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel>("dpZuordnung"); } }

		/// <summary>
		/// Gets the rbgZuordTyp TimeLine.Client.Controls.xDataPanelRadioButtonGroupItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelRadioButtonGroupItem rbgZuordTyp { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelRadioButtonGroupItem>("rbgZuordTyp"); } }

		/// <summary>
		/// Gets the tKondMain TimeLine.Client.Controls.xTabControl
		/// </summary>
		private global::TimeLine.Client.Controls.xTabControl tKondMain { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xTabControl>("tKondMain"); } }

		/// <summary>
		/// Gets the tabEinkauf System.Windows.Controls.TabItem
		/// </summary>
		private global::System.Windows.Controls.TabItem tabEinkauf { get { return GetControlByNameAndTyp<global::System.Windows.Controls.TabItem>("tabEinkauf"); } }

		/// <summary>
		/// Gets the dgItemPersArtEK TimeLine.Client.Controls.DX.Grid.DxDataGrid
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid dgItemPersArtEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid>("dgItemPersArtEK"); } }

		/// <summary>
		/// Gets the iconItemPrioEK TimeLine.Client.Controls.DX.Grid.DxIconColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxIconColumn iconItemPrioEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxIconColumn>("iconItemPrioEK"); } }

		/// <summary>
		/// Gets the cbItemPersEK TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn cbItemPersEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn>("cbItemPersEK"); } }

		/// <summary>
		/// Gets the gotoItemGPEK TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoItemGPEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoItemGPEK"); } }

		/// <summary>
		/// Gets the txtItemPersNrEK TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn txtItemPersNrEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn>("txtItemPersNrEK"); } }

		/// <summary>
		/// Gets the txtItemPersSuchwortEK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersSuchwortEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersSuchwortEK"); } }

		/// <summary>
		/// Gets the txtItemPersPersartnrEK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersPersartnrEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersPersartnrEK"); } }

		/// <summary>
		/// Gets the txtItemPersPreisMeEK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersPreisMeEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersPreisMeEK"); } }

		/// <summary>
		/// Gets the txtItemPersPreisEK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersPreisEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersPreisEK"); } }

		/// <summary>
		/// Gets the txtItemPersRebateEK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersRebateEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersRebateEK"); } }

		/// <summary>
		/// Gets the lgItemPersWaehrEK TimeLine.Client.Controls.DX.Grid.DxLookupColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn lgItemPersWaehrEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn>("lgItemPersWaehrEK"); } }

		/// <summary>
		/// Gets the txtItemPersWiederbeschaffZeitEK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersWiederbeschaffZeitEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersWiederbeschaffZeitEK"); } }

		/// <summary>
		/// Gets the txtItemPersMindestbestellMengeEK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersMindestbestellMengeEK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersMindestbestellMengeEK"); } }

		/// <summary>
		/// Gets the tabVerkauf System.Windows.Controls.TabItem
		/// </summary>
		private global::System.Windows.Controls.TabItem tabVerkauf { get { return GetControlByNameAndTyp<global::System.Windows.Controls.TabItem>("tabVerkauf"); } }

		/// <summary>
		/// Gets the dgItemPersArtVK TimeLine.Client.Controls.DX.Grid.DxDataGrid
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid dgItemPersArtVK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid>("dgItemPersArtVK"); } }

		/// <summary>
		/// Gets the cbItemPersVK TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn cbItemPersVK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn>("cbItemPersVK"); } }

		/// <summary>
		/// Gets the gotoItemGPVK TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoItemGPVK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoItemGPVK"); } }

		/// <summary>
		/// Gets the txtItemPersNrVK TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn txtItemPersNrVK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn>("txtItemPersNrVK"); } }

		/// <summary>
		/// Gets the txtItemPersSuchwortVK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersSuchwortVK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersSuchwortVK"); } }

		/// <summary>
		/// Gets the txtItemPersPersartnrVK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersPersartnrVK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersPersartnrVK"); } }

		/// <summary>
		/// Gets the txtItemPersPreisMeVK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersPreisMeVK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersPreisMeVK"); } }

		/// <summary>
		/// Gets the txtItemPersPreisVK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersPreisVK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersPreisVK"); } }

		/// <summary>
		/// Gets the txtItemPersRebateVK TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersRebateVK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersRebateVK"); } }

		/// <summary>
		/// Gets the lgItemPersWaehrVK TimeLine.Client.Controls.DX.Grid.DxLookupColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn lgItemPersWaehrVK { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn>("lgItemPersWaehrVK"); } }

		/// <summary>
		/// Gets the tabBearbeiterpr System.Windows.Controls.TabItem
		/// </summary>
		private global::System.Windows.Controls.TabItem tabBearbeiterpr { get { return GetControlByNameAndTyp<global::System.Windows.Controls.TabItem>("tabBearbeiterpr"); } }

		/// <summary>
		/// Gets the dgItemPersArtBearb TimeLine.Client.Controls.DX.Grid.DxDataGrid
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid dgItemPersArtBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid>("dgItemPersArtBearb"); } }

		/// <summary>
		/// Gets the cbItemPersBearb TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn cbItemPersBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn>("cbItemPersBearb"); } }

		/// <summary>
		/// Gets the gotoItemGPBearb TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn gotoItemGPBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("gotoItemGPBearb"); } }

		/// <summary>
		/// Gets the txtItemPersNrBearb TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn txtItemPersNrBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn>("txtItemPersNrBearb"); } }

		/// <summary>
		/// Gets the txtItemPersSuchwortBearb TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersSuchwortBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersSuchwortBearb"); } }

		/// <summary>
		/// Gets the txtItemArbgkatBearb TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn txtItemArbgkatBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn>("txtItemArbgkatBearb"); } }

		/// <summary>
		/// Gets the txtItemPersPersartnrBearb TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersPersartnrBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersPersartnrBearb"); } }

		/// <summary>
		/// Gets the txtItemPersPreisMeBezBearb TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersPreisMeBezBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersPreisMeBezBearb"); } }

		/// <summary>
		/// Gets the txtItemPersPreisBearb TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersPreisBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersPreisBearb"); } }

		/// <summary>
		/// Gets the txtItemPersRebateBearb TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersRebateBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersRebateBearb"); } }

		/// <summary>
		/// Gets the lgItemPersWaehrBearb TimeLine.Client.Controls.DX.Grid.DxLookupColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn lgItemPersWaehrBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxLookupColumn>("lgItemPersWaehrBearb"); } }

		/// <summary>
		/// Gets the txtItemPersWiederbeschaffzeitBearb TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersWiederbeschaffzeitBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersWiederbeschaffzeitBearb"); } }

		/// <summary>
		/// Gets the txtItemPersMindestbestellmengeBearb TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemPersMindestbestellmengeBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemPersMindestbestellmengeBearb"); } }

		/// <summary>
		/// Gets the dpPreisePersartGp TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow> dpPreisePersartGp { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>>("dpPreisePersartGp"); } }

		/// <summary>
		/// Gets the txtItemConditionsPersTypEkBearb TimeLine.Client.Controls.xDataPanelComboBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelComboBoxItem txtItemConditionsPersTypEkBearb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelComboBoxItem>("txtItemConditionsPersTypEkBearb"); } }

		/// <summary>
		/// Gets the txtItemConditionsPersTypVk TimeLine.Client.Controls.xDataPanelComboBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelComboBoxItem txtItemConditionsPersTypVk { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelComboBoxItem>("txtItemConditionsPersTypVk"); } }

		/// <summary>
		/// Gets the txtItemConditionsPersNr TimeLine.Client.Controls.xDataPanelTextBoxSearchItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem txtItemConditionsPersNr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem>("txtItemConditionsPersNr"); } }

		/// <summary>
		/// Gets the txtPreisePersartPersSuchwort TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPreisePersartPersSuchwort { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPreisePersartPersSuchwort"); } }

		/// <summary>
		/// Gets the txtPreisePersartPersWaehrgkz TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPreisePersartPersWaehrgkz { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPreisePersartPersWaehrgkz"); } }

		/// <summary>
		/// Gets the txtBearbeiterArbgKatNr TimeLine.Client.Controls.xDataPanelTextBoxSearchItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem txtBearbeiterArbgKatNr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem>("txtBearbeiterArbgKatNr"); } }

		/// <summary>
		/// Gets the txtBearbeiterArbgkatSuchwort TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtBearbeiterArbgkatSuchwort { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtBearbeiterArbgkatSuchwort"); } }

		/// <summary>
		/// Gets the dpPreisePersart TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow> dpPreisePersart { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>>("dpPreisePersart"); } }

		/// <summary>
		/// Gets the txtPreisePersartPersartArtArtnr TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPreisePersartPersartArtArtnr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPreisePersartPersartArtArtnr"); } }

		/// <summary>
		/// Gets the txtPreisePersartZeichNr TimeLine.Client.Controls.xDataPanelTextBoxSearchItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem txtPreisePersartZeichNr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxSearchItem>("txtPreisePersartZeichNr"); } }

		/// <summary>
		/// Gets the txtPreiseWiederbeschaffzeit TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPreiseWiederbeschaffzeit { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPreiseWiederbeschaffzeit"); } }

		/// <summary>
		/// Gets the txtPreiseMindestbestellMenge TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPreiseMindestbestellMenge { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPreiseMindestbestellMenge"); } }

		/// <summary>
		/// Gets the conditionsalutec_freigabe_am1 TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem conditionsalutec_freigabe_am1 { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("conditionsalutec_freigabe_am1"); } }

		/// <summary>
		/// Gets the conditionsalutec_gesperrt_jn1 TimeLine.Client.Controls.xDataPanelCheckBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelCheckBoxItem conditionsalutec_gesperrt_jn1 { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelCheckBoxItem>("conditionsalutec_gesperrt_jn1"); } }

		/// <summary>
		/// Gets the conditionsalutec_gesperrt_am1 TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem conditionsalutec_gesperrt_am1 { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("conditionsalutec_gesperrt_am1"); } }

		/// <summary>
		/// Gets the dpPreisePersartKommentar TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow> dpPreisePersartKommentar { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_conditionsRow>>("dpPreisePersartKommentar"); } }

		/// <summary>
		/// Gets the txtPreisePersartKommentar TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPreisePersartKommentar { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPreisePersartKommentar"); } }

		/// <summary>
		/// Gets the tKondiDetails TimeLine.Client.Controls.xTabControl
		/// </summary>
		private global::TimeLine.Client.Controls.xTabControl tKondiDetails { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xTabControl>("tKondiDetails"); } }

		/// <summary>
		/// Gets the tabPreis System.Windows.Controls.TabItem
		/// </summary>
		private global::System.Windows.Controls.TabItem tabPreis { get { return GetControlByNameAndTyp<global::System.Windows.Controls.TabItem>("tabPreis"); } }

		/// <summary>
		/// Gets the dpGpPreisePersart TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow> dpGpPreisePersart { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow>>("dpGpPreisePersart"); } }

		/// <summary>
		/// Gets the gcPreis TimeLine.Client.Controls.xGroupControl
		/// </summary>
		private global::TimeLine.Client.Controls.xGroupControl gcPreis { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xGroupControl>("gcPreis"); } }

		/// <summary>
		/// Gets the txtPreisePersartPreisAbw TimeLine.Client.Controls.xTextBox
		/// </summary>
		private global::TimeLine.Client.Controls.xTextBox txtPreisePersartPreisAbw { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xTextBox>("txtPreisePersartPreisAbw"); } }

		/// <summary>
		/// Gets the txtPreisePersartPreis TimeLine.Client.Controls.xTextBox
		/// </summary>
		private global::TimeLine.Client.Controls.xTextBox txtPreisePersartPreis { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xTextBox>("txtPreisePersartPreis"); } }

		/// <summary>
		/// Gets the lgPreiseMeNr TimeLine.Client.Controls.xLookupGrid
		/// </summary>
		private global::TimeLine.Client.Controls.xLookupGrid lgPreiseMeNr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xLookupGrid>("lgPreiseMeNr"); } }

		/// <summary>
		/// Gets the txtPreisePersartRabatt TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPreisePersartRabatt { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPreisePersartRabatt"); } }

		/// <summary>
		/// Gets the txtPreisePersartGueltigAb TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPreisePersartGueltigAb { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPreisePersartGueltigAb"); } }

		/// <summary>
		/// Gets the txtPreisePersartDatum TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPreisePersartDatum { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPreisePersartDatum"); } }

		/// <summary>
		/// Gets the dpGpPreisePersartBemerkung TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow> dpGpPreisePersartBemerkung { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_pricesRow>>("dpGpPreisePersartBemerkung"); } }

		/// <summary>
		/// Gets the txtPreisePersartLtext TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtPreisePersartLtext { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtPreisePersartLtext"); } }

		/// <summary>
		/// Gets the dgItemVolumeDiscount TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountRow>
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountRow> dgItemVolumeDiscount { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_volume_discountRow>>("dgItemVolumeDiscount"); } }

		/// <summary>
		/// Gets the txtPreiseMstaffAbMengeColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPreiseMstaffAbMengeColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPreiseMstaffAbMengeColumn"); } }

		/// <summary>
		/// Gets the txtPreiseMstaffPreisColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPreiseMstaffPreisColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPreiseMstaffPreisColumn"); } }

		/// <summary>
		/// Gets the txtPreiseMstaffPreisMeColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPreiseMstaffPreisMeColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPreiseMstaffPreisMeColumn"); } }

		/// <summary>
		/// Gets the txtPreiseMstaffPreiseMeNrColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPreiseMstaffPreiseMeNrColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPreiseMstaffPreiseMeNrColumn"); } }

		/// <summary>
		/// Gets the txtPreiseMstaffRabattColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPreiseMstaffRabattColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPreiseMstaffRabattColumn"); } }

		/// <summary>
		/// Gets the tabPreishistorie System.Windows.Controls.TabItem
		/// </summary>
		private global::System.Windows.Controls.TabItem tabPreishistorie { get { return GetControlByNameAndTyp<global::System.Windows.Controls.TabItem>("tabPreishistorie"); } }

		/// <summary>
		/// Gets the dgPreisePersart TimeLine.Client.Controls.DX.Grid.DxDataGrid
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid dgPreisePersart { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid>("dgPreisePersart"); } }

		/// <summary>
		/// Gets the txtPreisePersartPreisColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPreisePersartPreisColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPreisePersartPreisColumn"); } }

		/// <summary>
		/// Gets the txtPreisePersartPreisMeColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPreisePersartPreisMeColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPreisePersartPreisMeColumn"); } }

		/// <summary>
		/// Gets the txtPreisePersartRabattColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPreisePersartRabattColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPreisePersartRabattColumn"); } }

		/// <summary>
		/// Gets the txtPreisePersartGueltigAbColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPreisePersartGueltigAbColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPreisePersartGueltigAbColumn"); } }

		/// <summary>
		/// Gets the txtPreisePersartLtextColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtPreisePersartLtextColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtPreisePersartLtextColumn"); } }

		/// <summary>
		/// Gets the tabZsl System.Windows.Controls.TabItem
		/// </summary>
		private global::System.Windows.Controls.TabItem tabZsl { get { return GetControlByNameAndTyp<global::System.Windows.Controls.TabItem>("tabZsl"); } }

		/// <summary>
		/// Gets the dgItemZslPersart TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartRow>
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartRow> dgItemZslPersart { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_zsl_persartRow>>("dgItemZslPersart"); } }

		/// <summary>
		/// Gets the goToItemZslStamm TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn goToItemZslStamm { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("goToItemZslStamm"); } }

		/// <summary>
		/// Gets the txtItemZslPersartZslidColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn txtItemZslPersartZslidColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn>("txtItemZslPersartZslidColumn"); } }

		/// <summary>
		/// Gets the txtItemZslPersartBez1Column TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemZslPersartBez1Column { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemZslPersartBez1Column"); } }

		/// <summary>
		/// Gets the txtItemZslPersartZslZusatzFktColumn TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn txtItemZslPersartZslZusatzFktColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn>("txtItemZslPersartZslZusatzFktColumn"); } }

		/// <summary>
		/// Gets the txtItemZslPersartWertColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemZslPersartWertColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemZslPersartWertColumn"); } }

		/// <summary>
		/// Gets the cbItemZslPersartBerechArtColumn TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn cbItemZslPersartBerechArtColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxComboBoxColumn>("cbItemZslPersartBerechArtColumn"); } }

		/// <summary>
		/// Gets the txtItemZslPersartGueltigAbColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemZslPersartGueltigAbColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemZslPersartGueltigAbColumn"); } }

		/// <summary>
		/// Gets the txtItemZslPersartGueltigBisColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemZslPersartGueltigBisColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemZslPersartGueltigBisColumn"); } }

		/// <summary>
		/// Gets the ckItemZslPersartStaffelZslColumn TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn ckItemZslPersartStaffelZslColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn>("ckItemZslPersartStaffelZslColumn"); } }

		/// <summary>
		/// Gets the ckItemZslPersartOptionalColumn TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn ckItemZslPersartOptionalColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxCheckBoxColumn>("ckItemZslPersartOptionalColumn"); } }

		/// <summary>
		/// Gets the txtItemZslPersartGewichtColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtItemZslPersartGewichtColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtItemZslPersartGewichtColumn"); } }

		/// <summary>
		/// Gets the goToItemMTZ TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn goToItemMTZ { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxBlueArrowColumn>("goToItemMTZ"); } }

		/// <summary>
		/// Gets the txtItemZslPersartMtzNrColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn txtItemZslPersartMtzNrColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxSearchColumn>("txtItemZslPersartMtzNrColumn"); } }

		/// <summary>
		/// Gets the dpItem TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_itemTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_itemRow>
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_itemTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_itemRow> dpItem { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanel<TimeLine.TypedDataSets.Xaml.dsKonditionen_itemTable,TimeLine.TypedDataSets.Xaml.dsKonditionen_itemRow>>("dpItem"); } }

		/// <summary>
		/// Gets the txtItemMeNr TimeLine.Client.Controls.xDataPanelLookupItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelLookupItem txtItemMeNr { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelLookupItem>("txtItemMeNr"); } }

		/// <summary>
		/// Gets the txtItemPreiseinh TimeLine.Client.Controls.xDataPanelTextBoxItem
		/// </summary>
		private global::TimeLine.Client.Controls.xDataPanelTextBoxItem txtItemPreiseinh { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xDataPanelTextBoxItem>("txtItemPreiseinh"); } }

		/// <summary>
		/// Gets the miRetrieve TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miRetrieve { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miRetrieve"); } }

		/// <summary>
		/// Gets the miNew TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miNew { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miNew"); } }

		/// <summary>
		/// Gets the miDelete TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miDelete { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miDelete"); } }

		/// <summary>
		/// Gets the miBefore TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miBefore { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miBefore"); } }

		/// <summary>
		/// Gets the miAfter TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miAfter { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miAfter"); } }

		/// <summary>
		/// Gets the miPrint TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miPrint { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miPrint"); } }


        #endregion

		#region Events

		public override void RegisterDesignerEvents()
		{
			conditionsalutec_gesperrt_jn.ItemChanged += conditionsalutec_gesperrt_jn_ItemChanged;
			conditionsalutec_gesperrt_jn1.ItemChanged += conditionsalutec_gesperrt_jn1_ItemChanged;
		}

		public override void UnregisterDesignerEvents()
		{
			conditionsalutec_gesperrt_jn.ItemChanged -= conditionsalutec_gesperrt_jn_ItemChanged;
			conditionsalutec_gesperrt_jn1.ItemChanged -= conditionsalutec_gesperrt_jn1_ItemChanged;
		}

		#endregion
    }
}
#endregion
